# Class ConstantUtf8

java.lang.Object
org.apache.tomcat.util.bcel.classfile.Constant
org.apache.tomcat.util.bcel.classfile.ConstantUtf8

public final class ConstantUtf8 extends Constant
Extends the abstract `Constant` to represent a reference to a UTF-8 encoded string.

See Also:
  - `Constant`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBytes()`

  ### Methods inherited from class Constant

  `getTag, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getBytes

    public String getBytes()
    Returns:
      Data converted to string.